varying vec2 texCoord;

uniform sampler2D colorMap;
uniform sampler2D blobsMap;

uniform float testvalue;

vec2 iResolution=vec2(1920.0,1080.0);

void main (void)
{
    






    vec4 col1 = texture2D(colorMap, texCoord);
    
    vec4 col2=vec4(0,0,0,0);;
    for (float x=-6.0;x<6.0;x++)
        for (float y=-6.0;y<6.0;y++){
            vec2 blurCoord=texCoord+vec2(x*1.5/1920.0,y*1.5/1080.0);
            blurCoord.x=clamp(blurCoord.x,0.0,1.0);
            blurCoord.y=clamp(blurCoord.y,0.0,1.0);
            col2+=texture2D(blobsMap, blurCoord);
        }
    col2/=(12*12);
    
	
    gl_FragColor = vec4((col1.rgb)*(1.0-col2.a)+(col2.rgb)*col2.a,1.0);
}
